---
names: 
  full: "Google Logging Log Metric Filter and Alerts for Custom Role Changes do not exist"
  contextual: "Log Metric Filter and Alerts for Custom Role Changes do not exist"
description: "It is recommended that a metric filter and alarm be established for changes to Identity \
 and Access Management (IAM) role creation, deletion and updating activities. "
type: COMPLIANCE_POLICY
categories:
  - "SECURITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/02/06
  - /frameworks/cloudaware/logging-and-monitoring/logging-and-monitoring-configuration
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity-staging/knowledge-base/gcp/CloudLogging/enable-custom-role-changes-monitoring.html"
      name: "Enable Monitoring for Custom Role Changes"
